<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:19:45 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.transformation.profile.Transformation.impl Class Hierarchy (org.eclipse.papyrus.designer.transformation.profile 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.transformation.profile.Transformation.impl Class Hierarchy (org.eclipse.papyrus.designer.transformation.profile 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.eclipse.papyrus.designer.transformation.profile.Transformation.impl</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.emf.common.notify.impl.BasicNotifierImpl (implements org.eclipse.emf.common.notify.Notifier)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.BasicEObjectImpl (implements org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl (implements org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
<ul>
<li type="circle">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/ApplyTransformationImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><span class="typeNameLink">ApplyTransformationImpl</span></a> (implements org.eclipse.papyrus.designer.transformation.profile.Transformation.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">ApplyTransformation</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/DerivedElementImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><span class="typeNameLink">DerivedElementImpl</span></a> (implements org.eclipse.papyrus.designer.transformation.profile.Transformation.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">DerivedElement</a>)</li>
<li type="circle">org.eclipse.emf.ecore.impl.EModelElementImpl (implements org.eclipse.emf.ecore.EModelElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EFactoryImpl (implements org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, org.eclipse.emf.ecore.EFactory)
<ul>
<li type="circle">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationFactoryImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><span class="typeNameLink">TransformationFactoryImpl</span></a> (implements org.eclipse.papyrus.designer.transformation.profile.Transformation.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a>)</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.impl.ENamedElementImpl (implements org.eclipse.emf.ecore.ENamedElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EPackageImpl (implements org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EPackage)
<ul>
<li type="circle">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><span class="typeNameLink">TransformationPackageImpl</span></a> (implements org.eclipse.papyrus.designer.transformation.profile.Transformation.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationPackage</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/M2MTrafoChainImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><span class="typeNameLink">M2MTrafoChainImpl</span></a> (implements org.eclipse.papyrus.designer.transformation.profile.Transformation.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafoChain</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/M2MTrafoImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><span class="typeNameLink">M2MTrafoImpl</span></a> (implements org.eclipse.papyrus.designer.transformation.profile.Transformation.<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafo</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
